<?php
    require_once("config.php");
    $arrayJson = array();
    
    if (isset($_REQUEST["dni"])    && isset($_REQUEST["nombres"])   && isset($_REQUEST["app"])      && isset($_REQUEST["apm"])  && 
        isset($_REQUEST["sexo"])   && isset($_REQUEST["correo"])    && isset($_REQUEST["password"]) && isset($_REQUEST["profesion"])){
        
        $dni        = $_REQUEST["dni"];
        $nombres    = $_REQUEST["nombres"];
        $app        = $_REQUEST["app"];
        $apm        = $_REQUEST["apm"];        
        $sexo       = $_REQUEST["sexo"];
        $correo     = $_REQUEST["correo"];
        $password   = $_REQUEST["password"];    
        $ciudad     = $_REQUEST["ciudad"];
        $profesion  = $_REQUEST["profesion"];
        
        $query = "INSERT INTO usuarios
                    SET
                    dni       = '$dni',
                    nombres   = '$nombres',
                    app       = '$app',
                    apm       = '$apm',
                    sexo      = '$sexo',
                    correo    = '$correo',
                    password  = '$password',
                    ciudad    = '$ciudad',
                    profesion = '$profesion';";
        
        $result_insert = mysqli_query($cn, $query);
        
        if ($result_insert){
            $query  = "SELECT dni,  nombres, app,      apm, 
                              sexo, correo,  password,  
                              ciudad, profesion 
                           FROM usuarios WHERE dni ='$dni';";
            
            $result = mysqli_query($cn, $query);
            
            if ($row = mysqli_fetch_assoc($result)){
                $arrayJson[]['datos_usuario'][] = array_map("utf8_encode",$row);
            }    
                mysqli_close($cn);
                echo json_encode($arrayJson);
                
        }else{
                $resutl["dni"]      = $dni;
                $resutl["nombres"]  = $nombres;
                $resutl["app"]      = $app;
                $resutl["apm"]      = $apm;;                
                $resutl["sexo"]     = $sexo;
                $resutl["correo"]   = $correo;
                $resutl["password"] = $password;            
                $resutl["ciudad"]   = $ciudad;
                $resutl["profesion"]= $profesion;
                $resutl["ciudad"]   = $ciudad;
                $arrayJson[]['registro_duplicado'][] = $resutl;                
                echo json_encode($arrayJson);            
        }
        
    }